/* Sort of returns 1 */
extern int next(playerp player);

/* Initialize player */
extern int init_player(playerp player);

/* Initialize all windows */
extern int init_mapwin(playerp player);
extern int init_cardwin(playerp player);
extern int init_infowin(playerp player);
extern int set_up_infowin(playerp player);

/* Get name and color */
extern int get_col_init(playerp player);
extern int get_col_exit(playerp player);
extern int get_col_equal(playerp player);
extern int fix_colors(playerp player);
extern int get_name_init(playerp player);
extern int get_name_exit(playerp player);
extern int check_name(playerp player);
extern int export_name(playerp player);
extern int mission_fix(playerp player);
extern int init_pl_stat(playerp player);

/* Map windows on screen */
extern int set_up_cardwin(playerp player);
extern int set_up_mapwin(playerp player);

/* Initial placement */
extern int i_init_armies(playerp player);
extern int i_a_where(playerp player);

/* Start turn and place armies */
extern int init_turn(playerp player);
extern int p_a_where(playerp player);
extern int disable_ca_ch(playerp player);

/* Find aa country to attack and attack it */
extern int f_a_where_init(playerp player);
extern int f_a_where(playerp player);
extern int attack_country(playerp player);
extern int a_number(playerp player);

/* Free moves at end of turn */
extern int free_move_init(playerp player);
extern int free_move_left(playerp player);
extern int f_m_where(playerp player);
extern int free_move_to(playerp player);

/* Used a number of places */
extern int number_m1(playerp player);
extern int number_m2(playerp player);
extern int number_m3(playerp player);
extern int p_a_where_init(playerp player);
extern int p_a_get_num_i(playerp player);
extern int p_a_place(playerp player);
extern int p_a_number(playerp player);

/* End of turn */
extern int end_turn(playerp player);
extern int close_game(playerp player);
extern int end_game(playerp player);
extern int wait_msg(playerp player);

/* Used often */
extern int scroll_func(playerp player);
extern int card_handler(playerp player);
extern int update_pointer(playerp player);
extern int get_string(playerp player);
extern int clear_string(playerp player);

/* Control - functions */
extern int wait_for_all();
extern int wait_for_turn();
extern int quit_game();
